#### D.15.29.5 sufficientlyPositiveMultidegree

Procedure from library `tateProdCplxNegGrad.lib` (see tateProdCplxNegGrad_lib).

Usage:
  sufficientlyPositiveMultidegree(M); M module

Purpose:
  computes a sufficiently positive multidegree for coker(M)

Assume:
  M is multigraded S-module

Return:
  intvec that is sufficiently positive for M

Example:

    LIB "tateProdCplxNegGrad.lib";
    // example 1
    intvec c1 = 1,2;
    def (S1,E1) = productOfProjectiveSpaces(c1);
    setring(S1);
    module M1 = x(0)(0),x(1)(0)^3 + x(1)(1)^3 +x(1)(2)^3;
    intmat grading1[2][1] = 0,0;
    M1 = setModuleGrading(M1,grading1);
    sufficientlyPositiveMultidegree(M1);
    ==> 1,3
    // example 2
    intvec c2 = 1,1;
    def (S2,E2) = productOfProjectiveSpaces(c2);
    setring(S2);
    intmat grading2[2][1] = -1,-1;
    module M2 = 0;
    M2 = setModuleGrading(M2,grading2);
    sufficientlyPositiveMultidegree(M2);
    ==> -1,-1
    // example 3
    intvec c3 = 1,1,1;
    def (S3,E3) = productOfProjectiveSpaces(c3);
    setring(S3);
    module M3 = 0;
    intmat grading3[3][1] = -1,-1,-1;
    M3 = setModuleGrading(M3,grading3);
    sufficientlyPositiveMultidegree(M3);
    ==> -1,-1,-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.